package com.qmth.distributed.print.business.bean.dto;

import com.qmth.teachcloud.common.annotation.ExcelNote;

import javax.validation.constraints.NotNull;

public class ExamTaskImportDto {

    @NotNull
    @ExcelNote(value = "课程代码")
    private String courseCode;
    @NotNull
    @ExcelNote(value = "课程名称")
    private String courseName;
    @ExcelNote(value = "试卷编号")
    private String paperNumber;
    @ExcelNote(value = "命题老师账号")
    private String userAccount;
    @ExcelNote(value = "命题老师名称")
    private String userName;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getUserAccount() {
        return userAccount;
    }

    public void setUserAccount(String userAccount) {
        this.userAccount = userAccount;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
}
